package kuzumeji.action.home.sys;
import kuzumeji.action.home.BaseEntityHome;
import kuzumeji.entity.sys.Notify;
import org.jboss.seam.annotations.Name;
/**
 * NotifyHome
 * @author nilcy
 */
@Name("notifyHome")
public class NotifyHome extends BaseEntityHome<Notify> {
    /** S/N */
    private static final long serialVersionUID = -1583504583845227803L;
    /**
     * @return ID
     */
    public Long getNotifyId() {
        return (Long) getId();
    }
    /**
     * @param aNotifyId ID
     */
    public void setNotifyId(Long aNotifyId) {
        setId(aNotifyId);
    }
    @Override
    protected Notify createInstance() {
        Notify notify = new Notify();
        notify.setUser(this.loginUser.getWorker().getName());
        return notify;
    }
    /**
     * load
     */
    public void load() {
        if (isIdDefined()) {
            wire();
        }
    }
    /**
     * wire
     */
    public void wire() {
        getInstance();
    }
    /**
     * isWired
     * @return isWired
     */
    public boolean isWired() {
        return true;
    }
    /**
     * get DefinedInstance
     * @return DefinedInstance
     */
    public Notify getDefinedInstance() {
        return isIdDefined() ? getInstance() : null;
    }
}
